using System;
using System.Collections.Generic;
using System.Text;
using Telerik.WinControls;
using System.ComponentModel;

namespace ThemeClassLibrary
{
    [Description("Enables Custom theme for the controls in your application")]
    [ToolboxItemFilter("System.Windows.Forms")]
    public class CustomThemeComponent : RadThemeComponentBase
    {
        public CustomThemeComponent()
        {
            ThemeResolutionService.RegisterThemeFromStorage(ThemeStorageType.Resource, 
                                                                    @"ThemeClassLibrary.ButtonTheme.xml");
            ThemeResolutionService.RegisterThemeFromStorage(ThemeStorageType.Resource,
                                                                    @"ThemeClassLibrary.CheckBoxTheme.xml");
        }
    }
}  

